Get a specific plan
curl --request GET \
--url https://api.bold-factory.com/v1/production/plans/{planReference} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.bold-factory.com/v1/production/plans/{planReference}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.bold-factory.com/v1/production/plans/{planReference}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"externalReference": "<string>",
"name": "<string>",
"useRawMaterialRestrictions": true,
"addEmployeesAsResources": true,
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"active": true,
"obsolete": true,
"operations": [
{
"id": "<string>",
"orderId": "<string>",
"orderCode": "<string>",
"productName": "<string>",
"skuName": "<string>",
"operationName": "<string>",
"operationType": "<string>",
"quantity": 123,
"locked": true,
"requiredAvailability": {
"time": "2023-11-07T05:31:56Z"
},
"earliestPossibleStart": "2023-11-07T05:31:56Z",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"resourceRequirements": [
{
"id": "<string>",
"selectedResource": {
"resourceId": "<string>",
"name": "<string>"
},
"resourceOptions": [
{
"resourceId": "<string>",
"name": "<string>"
}
],
"durationMs": 123,
"durationPerUnitMs": 123
}
],
"totalRestrictions": [
{
"id": "<string>"
}
],
"partialRestrictions": [
{
"id": "<string>"
}
],
"metadata": {}
}
],
"resources": [
{
"id": "<string>",
"name": "<string>",
"availableAmount": 123,
"infiniteCapacity": true,
"availability": [
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"durationHours": 123
}
]
}
],
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Plans
Get a specific plan
Requires Production.Orders.Read permissions
GET
/
v1
/
production
/
plans
/
{planReference}
Get a specific plan
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Respuesta
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Opciones disponibles:
Pending, Processing, Succeeded, Failed, Unfeasible ⌘I